// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

StartupEvents.registry('item', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	event.create('xephiro_keyblade', 'keyblade').displayName("Xephiro's Keyblade");
	event.create('xephiro_keyblade_chain', 'keychain').displayName("Xephiro's Keyblade Chain");
	event.create('union_ultima_upright', 'keyblade').displayName("Union Ultima (Upright)");
	event.create('union_ultima_reversed', 'keyblade').displayName("Union Ultima (Reversed)");
	event.create('union_ultima_upright_chain', 'keychain').displayName("Union Ultima (Upright) Chain");
	event.create('union_ultima_reversed_chain', 'keychain').displayName("Union Ultima (Reversed) Chain");
})

StartupEvents.registry('block', event => {
	// Register new blocks here
	// event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
})